| Home | Libraries | People | FAQ | More

## Struct template optimize_multikey

boost::intrusive::optimize_multikey

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<bool Enabled>
    struct optimize_multikey {
    };

## Description

This option setter specifies if the unordered hook should offer room to store another link to another node with the same key. Storing this link will speed up lookups and insertions on unordered_multiset containers with a great number of elements with the same key.